Author: Fabian Fagerholm <fabbe@debian.org>

    Use versioned symbols for libsasl2.

diff --git a/lib/Makefile.am b/lib/Makefile.am
index e09fe6e..e74c507 100644
--- a/lib/Makefile.am
+++ b/lib/Makefile.am
@@ -61,8 +61,8 @@ LIB_DOOR= @LIB_DOOR@
 lib_LTLIBRARIES = libsasl2.la
 
 libsasl2_la_SOURCES = $(common_sources) $(common_headers)
-libsasl2_la_LDFLAGS = -version-info $(sasl_version)
-libsasl2_la_DEPENDENCIES = $(LTLIBOBJS)
+libsasl2_la_LDFLAGS = -version-info $(sasl_version) -Wl,--version-script=$(top_srcdir)/Versions
+libsasl2_la_DEPENDENCIES = $(LTLIBOBJS) $(top_srcdir)/Versions
 libsasl2_la_LIBADD = $(LTLIBOBJS) $(SASL_DL_LIB) $(LIB_SOCKET) $(LIB_DOOR) $(LIB_CRYPT)
 
 if MACOSX
new file mode 100644
index 0000000..ff7190d
--- /dev/null
+++ b/Versions
@@ -0,0 +1,6 @@
+SASL2 {
+    global:
+        sasl_*; prop_*; auxprop_plugin_info; _sasl_MD5*;
+};
+
+HIDDEN { local: __*; _rest*; _save*; *; };
